package com.njcn.supervision.service.survey;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.njcn.bpm.pojo.param.instance.BpmProcessInstanceCancelParam;
import com.njcn.bpm.pojo.vo.TodoVO;
import com.njcn.bpm.service.IBpmService;
import com.njcn.supervision.pojo.param.leaflet.WarningAddParam;
import com.njcn.supervision.pojo.param.survey.SurveyTestParam;
import com.njcn.supervision.pojo.po.survey.SurveyTest;
import com.njcn.supervision.pojo.vo.survey.SurveyTestVO;

import java.util.List;

/**
 * <p>
 * 普测测试的管理表 服务类
 * </p>
 *
 * @author hongawen
 * @since 2024-05-30
 */
public interface ISurveyTestService extends IBpmService<SurveyTest> {

    Page<SurveyTestVO> surveyTestPage(SurveyTestParam.SurveyTestQueryParam surveyTestQueryParam);

    Page<SurveyTestVO> pageProblemSurvey(SurveyTestParam.SurveyTestQueryParam surveyTestQueryParam);

    String addSurveyTest(SurveyTestParam surveyTestParam);

    String updateSurveyTest(SurveyTestParam.SurveyTestUpdateParam surveyTestUpdateParam);

    String cancelSurveyTest(BpmProcessInstanceCancelParam cancelReqVO);

    SurveyTestVO getVOById(String id);

    void initiateWarningLeaflet(WarningAddParam warningAddParam);

    Boolean deleteSurveyPlanTest(List<String> supervisionId);

    /**
     * 获取当前用户的待办业务
     * @return 待办业务
     */
    List<TodoVO> getTodoBusiness();
}
